import { hopeTheme } from "vuepress-theme-hope";
import navbar from "./navbar.js";
import sidebar from "./sidebar.js";

export default hopeTheme({
  hostname: "https://sp.jjnwxs.cn",

  author: {
    name: "荆棘鸟文学社",
    url: "https://gitee.com/jjnwxs_official/jingji_spbook_vue",
  },

  logo: "/logo.png",
  logoDark: '/logo-dark.png',
  repoDisplay: false,

  docsDir: "src",

  // Print button
  print: false,

  // navbar
  navbar,

  // sidebar
  sidebar,

  footer: "高三特刊",

  displayFooter: true,
  pageInfo: ["Category", "Tag"],

  plugins: {
    icon: { assets: "fontawesome" },
    git: {
      contributors: false,
      changelog: {
        maxCount: 5,
        repoUrl: "https://gitea.lionhao.top/jjnwxs/jingji_spbook",
      }
    }
  },
  markdown: {
    include: true,
    vPre: true,
    figure: true,
    imgLazyload: true,
    imgSize: true,
    math: {
      type: "mathjax"
    },
    codeTabs: false,
    tabs: true,
    align: false,
    attrs: false,
    mark: true,
    sub: true,
    sup: true,
    chartjs: false,
    demo: false,
    echarts: false,
    flowchart: false,
    mermaid: false,
    vuePlayground: false,
  },
});
